CVE-2020-12243

Priority
Description
In filter.c in slapd in OpenLDAP before 2.4.50, LDAP search filters with
nested boolean expressions can result in denial of service (daemon crash).
Assigned-to
mdeslaur
Notes
Package
Upstream:released (2.4.50)
Ubuntu 12.04 ESM (Precise Pangolin):released (2.4.28-1.1ubuntu4.10)
Ubuntu 14.04 ESM (Trusty Tahr):released (2.4.31-1+nmu2ubuntu8.5+esm2)
Ubuntu 16.04 LTS (Xenial Xerus):released (2.4.42+dfsg-2ubuntu3.8)
Ubuntu 18.04 LTS (Bionic Beaver):released (2.4.45+dfsg-1ubuntu1.5)
Ubuntu 19.10 (Eoan Ermine):released (2.4.48+dfsg-1ubuntu1.1)
Ubuntu 20.04 LTS (Focal Fossa):released (2.4.49+dfsg-2ubuntu1.2)
Ubuntu 20.10 (Groovy Gorilla):released (2.4.49+dfsg-2ubuntu2)
Patches:
Upstream:https://git.openldap.org/openldap/openldap/-/commit/d38d48fc8f572dedfb67b9da61a2ba3b125ced91
Upstream:https://git.openldap.org/openldap/openldap/-/commit/98464c11df8247d6a11b52e294ba5dd4f0380440 (2.4)
More Information

Updated: 2020-05-19 13:18:50 UTC (commit 1b8bd89cd08172dffeffeeb5894e7f592c1a6790)